<template>
  <div>
    Graphql
    <label class="switch" v-if="api === 'graphql'">
      <input type="checkbox" @click="toggle" />
      <span class="slider round"></span>
    </label>
    <label class="switch" v-else>
      <input type="checkbox" @click="toggle" checked/>
      <span class="slider round"></span>
    </label>
    APIPlatform
  </div>
</template>

<script>
export default {
  name: 'ToggleAPI',
  data: function () {
    return { api: localStorage.getItem('api') }
  },
  methods: {
    toggle () {
      localStorage.setItem('api', this.api === 'graphql' ? 'apiPlatform' : 'graphql')
      this.api = localStorage.getItem('api')
    }
  },
  beforeMount () {
    if (!localStorage.getItem('api')) {
      localStorage.setItem('api', 'graphql')
    }
  }
}
</script>

<style>
/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

  /* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

  /* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #E10098;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #1f7079;
}

input:focus + .slider {
  box-shadow: 0 0 1px#1f7079;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

  /* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
</style>
